#
# spec file for package easymp3gain
#
# Copyright (c) 2018 Packman team: http://packman.links2linux.org/
# Copyright (c) 2008-2010 oc2pus <toni@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           easymp3gain
Version:        0.5.0
Release:        pm152.4.36
Summary:        Graphical User Interface for MP3Gain, VorbisGain and AACGain
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
ExclusiveArch:  x86_64
URL:            https://sourceforge.net/projects/easymp3gain/
Source0:        https://sourceforge.net/projects/easymp3gain/files/easymp3gain%20source/%{name}-%{version}/%{name}-%{version}.src.tar.gz
# PATCH-FIX-UPSTREAM easymp3gain-0.5.0-fix_build.patch
Patch0:         easymp3gain-0.5.0-fix_build.patch
# PATCH-FIX-OPENSUSE easymp3gain-0.5.0-build_PIE.patch
Patch1:         easymp3gain-0.5.0-build_PIE.patch
BuildRequires:  fdupes
BuildRequires:  fpc
BuildRequires:  fpc-src
BuildRequires:  hicolor-icon-theme
BuildRequires:  lazarus
BuildRequires:  libQt5Pas-devel
BuildRequires:  update-desktop-files
Requires:       hicolor-icon-theme
Requires:       mp3gain
Requires:       vorbisgain
Recommends:     %{name}-lang = %{version}
Recommends:     aacgain

%description
Graphical User Interface (GUI) for MP3Gain, VorbisGain and AACGain
(enables you to modify the loudness level of mp3,ogg,mp4 files).

%package        qt5
Summary:        Qt5 easymp3gain
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       %{name} = %{version}
Provides:       qt4-%{name} = %{version}

%description    qt5
This package contains the Qt5-enabled binary for easymp3gain.

%lang_package

%prep
%setup -q
%patch0
%patch1 -p1

# fix desktop-file
sed -i -e 's|Audio;||g' \
	applications/easymp3gain.desktop
sed -i -e 's|x-easymp3gain|x-easymp3gain;|g' \
	applications/easymp3gain.desktop
sed -e 's|Exec=%{name}|Exec=%{name}-qt5|g' -e \ '/^Name/s/$/ Qt5/' \
       < applications/easymp3gain.desktop \
       > applications/easymp3gain-qt5.desktop

%build
for flavor in gtk2 qt5; do
lazbuild \
	--lazarusdir=%{_libdir}/lazarus \
%ifarch x86_64
	--cpu=x86_64 \
%endif
%ifarch %ix86
        --cpu=i386 \
%endif
	--widgetset=${flavor} \
	-B easymp3gain.lpr
mv bin/easymp3gain bin/easymp3gain-${flavor}
done

%install
install -Dm0755 bin/easymp3gain-gtk2 %{buildroot}%{_bindir}/%{name}
install -Dm0755 bin/easymp3gain-qt5 %{buildroot}%{_bindir}/%{name}-qt5
install -Dm0644 icons/easymp3gain-48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -Dm0644 applications/easymp3gain.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dm0644 applications/easymp3gain-qt5.desktop %{buildroot}%{_datadir}/applications/%{name}-qt5.desktop
for i in 16 22 24 32 48 64 128 192; do
   install -Dm0644 icons/easymp3gain-${i}.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done
mkdir -pv %{buildroot}%{_datadir}/%{name}/lang %{buildroot}%{_datadir}/%{name}/help
cp ./lang/* %{buildroot}%{_datadir}/%{name}/lang
cp ./help/index* %{buildroot}%{_datadir}/%{name}/help

%suse_update_desktop_file -i -n %{name} AudioVideo Player Jukebox
%suse_update_desktop_file -i -n %{name}-qt5 AudioVideo Player Jukebox

%fdupes -s %{buildroot}%{_datadir}

%files
%doc AUTHORS CHANGELOG.txt README.txt RELEASE.txt
%license COPYING
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/help
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%files qt5
%license COPYING
%{_bindir}/%{name}-qt5
%{_datadir}/applications/%{name}-qt5.desktop

%files lang
%dir %{_datadir}/%{name}/lang
%lang(en) %{_datadir}/%{name}/lang/%{name}.po
%lang(de) %{_datadir}/%{name}/lang/%{name}.de.po
%lang(it) %{_datadir}/%{name}/lang/%{name}.it.po

%changelog
* Mon Feb 12 2018 aloisio@gmx.com
- Replaced Qt4 with Qt5
- Add easymp3gain-0.5.0-fix_build.patch (thanks @wbauer) and
  easymp3gain-0.5.0-build_PIE.patch
- Create separate lang package
- Spec cleanup
* Sun Mar 14 2010 toni@links2linux.de
- added qt4-easymp3gain sub-package
* Mon Jan 11 2010 toni@links2linux.de
- update to 0.5.0
- First release of Qt4 Version
- Added Italian translation (thanks to Giulio Rodoni!)
- Main window remebers its size after restart
- Speed improvements when checking tags
- Fixed Constant Gain bug
- Customizable columns (filename/path)
* Sun Nov 16 2008 toni@links2linux.de
- added aacgain and vorbisgain to Requires as they are available
  in pm-repo
* Sat Nov 15 2008 toni@links2linux.de
- initial build 0.4.2
